NX Open C++ Reference Guide
|
Used to create or edit a Weld::DatumPin feature. More...
Public Member Functions | |
NXOpen::ScCollector * | BoundaryCurve () |
Returns the resting face Created in NX8.5.0. | |
NXOpen::Weld::SelectDatumPin * | DerivedDatum () |
Returns the derived datum Created in NX8.5.0. | |
void | InitializeAxis () |
Update the axis origin to the center of the slot or circle, and direction to the normal of the boundary. | |
void | MoveToCenter () |
Moves a point to the center of a circle or slot boundary Created in NX8.5.0. | |
void | UpdateAxisData () |
Updates data related to the axis. | |
![]() | |
NXOpen::Assemblies::SelectComponentList * | AdditionalReferences () |
Returns the additional references. | |
NXOpen::Weld::CharacteristicsBuilder * | Characteristics () |
Returns the characteristics. | |
NXOpen::Weld::DatumCommonBuilder::ControlMethodTypes | ControlMethod () |
Returns the control method. | |
bool | CreateDirectionVector () |
Returns the option to control if a reference datum axis should be output with this feature. | |
bool | CreatePlane () |
Returns the option to control if a reference datum plane should be output with the this feature. | |
bool | CreatePoint () |
Returns the option to control if a reference point should be output with this feature. | |
NXOpen::Weld::DatumCommonBuilder::CreationDirectionMethods | CreationDirection () |
Returns the creation direction. | |
double | CustomAboveLength () |
Returns the length above the datum reference point. | |
double | CustomRadius () |
Returns the radius of the solid sphere, cylinder or cone created. | |
double | CustomTotalLength () |
Returns the total length of the cylinder or cone along the direction axis. | |
NXOpen::Weld::DatumCommonBuilder::CustomTypes | CustomType () |
Returns the custom datum type. | |
NXString | CustomTypeName () |
Returns the custom name used to create the datum. | |
bool | Derived () |
Returns the indicator if this should be marked as a derived from another datum. | |
NXOpen::Axis * | DirectionAxis () |
Returns the direction axis. | |
double | DirectionLength () |
Returns the length of the datum axis vector created. | |
double | ModelingTolerance () |
Returns the modeling distance tolerance. | |
double | PlaneHeight () |
Returns the plane height along the direction axis. | |
double | PlaneWidth () |
Returns the plane width perpendicular to the direction axis. | |
bool | PrincipalAxisX () |
Returns the principal axis x. | |
bool | PrincipalAxisY () |
Returns the principal axis y. | |
bool | PrincipalAxisZ () |
Returns the principal axis z. | |
bool | ProjectAlongDirection () |
Returns the project along direction. | |
NXOpen::Direction * | SectionPlaneNormal () |
Returns the section plane normal. | |
void | SetControlMethod (NXOpen::Weld::DatumCommonBuilder::ControlMethodTypes controlMethod) |
Sets the control method. | |
void | SetCreateDirectionVector (bool createDirectionVector) |
Sets the option to control if a reference datum axis should be output with this feature. | |
void | SetCreatePlane (bool createPlane) |
Sets the option to control if a reference datum plane should be output with the this feature. | |
void | SetCreatePoint (bool createPoint) |
Sets the option to control if a reference point should be output with this feature. | |
void | SetCreationDirection (NXOpen::Weld::DatumCommonBuilder::CreationDirectionMethods creationDirection) |
Sets the creation direction. | |
void | SetCustomAboveLength (double directionLength) |
Sets the length above the datum reference point. | |
void | SetCustomRadius (double customRadius) |
Sets the radius of the solid sphere, cylinder or cone created. | |
void | SetCustomTotalLength (double customTotalLength) |
Sets the total length of the cylinder or cone along the direction axis. | |
void | SetCustomType (NXOpen::Weld::DatumCommonBuilder::CustomTypes customType) |
Sets the custom datum type. | |
void | SetCustomTypeName (const NXString &customTypeName) |
Sets the custom name used to create the datum. | |
void | SetCustomTypeName (const char *customTypeName) |
Sets the custom name used to create the datum. | |
void | SetDerived (bool derived) |
Sets the indicator if this should be marked as a derived from another datum. | |
void | SetDirectionAxis (NXOpen::Axis *directionAxis) |
Sets the direction axis. | |
void | SetDirectionLength (double directionLength) |
Sets the length of the datum axis vector created. | |
void | SetModelingTolerance (double modelingTolerance) |
Sets the modeling distance tolerance. | |
void | SetPlaneHeight (double planeHeight) |
Sets the plane height along the direction axis. | |
void | SetPlaneWidth (double planeWidth) |
Sets the plane width perpendicular to the direction axis. | |
void | SetPrincipalAxisX (bool principalAxisX) |
Sets the principal axis x. | |
void | SetPrincipalAxisY (bool principalAxisY) |
Sets the principal axis y. | |
void | SetPrincipalAxisZ (bool principalAxisZ) |
Sets the principal axis z. | |
void | SetProjectAlongDirection (bool projectAlongDirection) |
Sets the project along direction. | |
void | SetSectionPlaneNormal (NXOpen::Direction *sectionPlaneNormal) |
Sets the section plane normal. | |
void | SetSolidType (NXOpen::Weld::DatumCommonBuilder::SolidTypes solidType) |
Sets the solid body type specified. | |
NXOpen::Weld::DatumCommonBuilder::SolidTypes | SolidType () |
Returns the solid body type specified. | |
void | UpdateWithDerivedDatum () |
Initialize the builder with the inputs from an existing datum. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Additional Inherited Members | |
![]() | |
enum | ControlMethodTypes { ControlMethodTypesPrincipalAxis, ControlMethodTypesUseSectionPlane } |
Settings for the method used to define the control direction. More... | |
enum | CreationDirectionMethods { CreationDirectionMethodsDefault, CreationDirectionMethodsOpposite } |
Settings to define the creation direction. More... | |
enum | CustomTypes { CustomTypesDefault, CustomTypesCustom1, CustomTypesCustom2, CustomTypesCustom3, CustomTypesCustom4, CustomTypesCustom5, CustomTypesCustom6, CustomTypesCustom7 } |
The custom type of the datum specified for creation. More... | |
enum | SolidTypes { SolidTypesSphere, SolidTypesCylinder, SolidTypesCone } |
Settings for defining the solid type to create for the datum object. More... | |
Used to create or edit a Weld::DatumPin feature.
To create a new instance of this class, use Weld::WeldManager::CreateDatumPinBuilder
Default values.
Property | Value |
---|---|
ControlMethod |
PrincipalAxis |
CreateDirectionVector |
1 |
CreatePlane |
1 |
CreatePoint |
1 |
Derived |
0 |
DirectionLength |
20 (millimeters part), 1.0 (inches part) |
ModelingTolerance |
0.0254 |
PlaneHeight |
20 (millimeters part), 1.0 (inches part) |
PlaneWidth |
20 (millimeters part), 1.0 (inches part) |
PrincipalAxisX |
0 |
PrincipalAxisY |
0 |
PrincipalAxisZ |
0 |
Created in NX8.5.0.
NXOpen::ScCollector* NXOpen::Weld::DatumPinBuilder::BoundaryCurve | ( | ) |
Returns the resting face
Created in NX8.5.0.
License requirements : None
NXOpen::Weld::SelectDatumPin* NXOpen::Weld::DatumPinBuilder::DerivedDatum | ( | ) |
Returns the derived datum
Created in NX8.5.0.
License requirements : None
void NXOpen::Weld::DatumPinBuilder::InitializeAxis | ( | ) |
Update the axis origin to the center of the slot or circle, and direction to the normal of the boundary.
If the boundary is not planar an approximate direction will be computed from boundary bounding box.
Created in NX8.5.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::DatumPinBuilder::MoveToCenter | ( | ) |
Moves a point to the center of a circle or slot boundary
Created in NX8.5.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::DatumPinBuilder::UpdateAxisData | ( | ) |
Updates data related to the axis.
The origin will be adjusted based on grid snapping, and projection direction. In addition the control direction information will be updated.
Created in NX8.5.0.
License requirements : ugweld ("UG WELD")